{% extends "templates/web.html" %}

{% block title %} {{ _("Shopping Cart") }} {% endblock %}

{% block header %}<h3 class="shopping-cart-header mt-2 mb-6">{{ _("Shopping Cart") }}</h3>{% endblock %}

{% block header_actions %}
{% endblock %}

{% block page_content %}

{% from "templates/includes/macros.html" import item_name_and_description %}

{% if doc.items %}
<svg style="display: none" version="1.1" xmlns="http://www.w3.org/2000/svg">
	<defs>
		<symbol id="credit-chip" viewBox="0 0 296.477 296.477">
			<g fill="var(--icon-stroke)">
				<path d="M244.63,35.621c-21.771-18.635-47.382-29.855-73.767-33.902C121.871-5.797,70.223,11.421,35.622,51.847c-53.236,62.198-45.972,155.773,16.226,209.01c21.771,18.634,47.381,29.853,73.766,33.901c48.991,7.517,100.641-9.703,135.241-50.13C314.091,182.431,306.826,88.856,244.63,35.621z M273.361,191.241l-45.305-15.618c6.102-17.803,6.028-37.107,0.014-54.724l45.257-15.575c3.577,10.453,5.862,21.429,6.74,32.741C281.489,156.374,279.152,174.388,273.361,191.241z M275.905,104.058c0-0.003,0-0.005,0-0.008C275.905,104.053,275.905,104.055,275.905,104.058z M247.935,61.472l-36.069,31.332c-2.669-3.055-5.579-5.961-8.752-8.677c-11.467-9.814-24.81-15.995-38.637-18.692l9.095-46.741c22.33,4.33,43.21,14.294,60.635,29.209C239.147,52.131,243.728,56.669,247.935,61.472z M103.251,23.983c6.428-2.315,13.021-4.109,19.71-5.388l9.087,46.843c-17.789,3.467-34.584,12.651-47.393,27.341L48.55,61.38C63.334,44.416,82.206,31.568,103.251,23.983z M23.124,105.236l45.297,15.617c-6.102,17.803-6.028,37.105-0.015,54.723l-45.295,15.588c-3.562-10.441-5.837-21.4-6.713-32.688C14.976,140.151,17.32,122.11,23.124,105.236z M48.467,235.066l36.145-31.395c2.669,3.056,5.58,5.964,8.754,8.68c11.466,9.814,24.808,15.993,38.634,18.691l-9.143,46.997c-22.325-4.348-43.185-14.422-60.604-29.333C57.288,244.458,52.689,239.898,48.467,235.066z M193.203,272.635c-6.409,2.309-12.986,4.11-19.658,5.403l-9.117-47c17.789-3.467,34.585-12.651,47.394-27.342l36.121,31.409C233.154,252.087,214.257,265.047,193.203,272.635z"/>
				<circle cx="93.372" cy="53.498" r="8"/>
				<circle cx="38.758" cy="148.382" r="8"/>
				<circle cx="93.623" cy="243.123" r="8"/>
				<circle cx="203.105" cy="242.977" r="8.001"/>
				<circle cx="257.717" cy="148.091" r="8"/>
				<circle cx="202.853" cy="53.351" r="8"/>
			</g>
		</symbol>
	</defs>
</svg>

<div class="cart-container">
	<div class="row m-0">
		<!-- Left section -->
		<div class="col-md-8">
			<div class="frappe-card p-5 mb-4">
				<div id="cart-error" class="alert alert-danger" style="display: none;"></div>
				<div class="cart-items-header">
					{{ _('Items') }}
				</div>
				<table class="table mt-3 cart-table">
					<thead>
						<tr>
							<th class="item-column">{{ _('Item') }}</th>
							<th width="20%">{{ _('Quantity') }}</th>
							{% if cart_settings.enable_checkout or cart_settings.show_price_in_quotation %}
								<th width="20" class="text-right column-sm-view">{{ _('Subtotal') }}</th>
							{% endif %}
							<th width="10%" class="column-sm-view"></th>
						</tr>
					</thead>
					<tbody class="cart-items">
						{% include "templates/includes/cart/cart_items.html" %}
					</tbody>

					{% if cart_settings.enable_checkout or cart_settings.show_price_in_quotation %}
						<tfoot class="cart-tax-items">
							{% include "templates/includes/cart/cart_items_total.html" %}
						</tfoot>
					{% endif %}
				</table>

				<div class="row mt-2">
					<div class="col-4">
						{% if cart_settings.enable_checkout %}
							<a class="btn btn-default font-md" href="/orders">
								{{ _('Past Orders') }}
							</a>
						{% else %}
							<a class="btn btn-default font-md" href="/quotations">
								{{ _('Past Quotes') }}
							</a>
						{% endif %}
					</div>
					<div class="col-8 align-self-end">
						{% if doc.items %}
						<div class="continue-shopping-container">
							<a class="btn btn-primary-light mr-2 font-md btn-continue-shopping" href="/all-products">
								{{ _('Continue Shopping') }}
							</a>
						</div>
						{% endif %}
					</div>
				</div>
			</div>

			<!-- Terms and Conditions -->
			{% if doc.items %}
				{% if doc.terms %}
					<div class="t-and-c-container mt-4 frappe-card">
						<h5>{{ _("Terms and Conditions") }}</h5>
						<div class="t-and-c-terms mt-2">
							{{ doc.terms }}
						</div>
					</div>
				{% endif %}
		</div>

		<!-- Right section -->
		<div class="col-md-4 cart-sticky-sidebar cart-summary">
			{% include "templates/includes/cart/cart_summary.html" %}
		</div>
		{% endif %}
	</div>
</div>
{% else %}
<div class="cart-empty frappe-card">
	<div class="cart-empty-state">
		<img src="/assets/webshop/images/cart-empty-state.png" alt="Empty State">
	</div>
	<div class="cart-empty-message mt-4">{{ _('Your cart is Empty') }}</p>
	{% if cart_settings.enable_checkout %}
		<a class="btn btn-outline-primary" href="/orders">
			{{ _('See past orders') }}
		</a>
		{% else %}
		<a class="btn btn-outline-primary" href="/quotations">
			{{ _('See past quotations') }}
		</a>
	{% endif %}

	<a class="btn btn-primary ml-2 btn-continue-shopping" href="/all-products">
		{{ _('Continue Shopping') }}
	</a>
</div>
{% endif %}

{% endblock %}

{% block base_scripts %}
<!-- js should be loaded in body! -->
{{ super() }}
{{ include_script("controls.bundle.js") }}
{{ include_script("dialog.bundle.js") }}

<script>Object.assign(frappe.boot, {
	link_title_doctypes: {{ link_title_doctypes }}
})
</script>
{% endblock %}
